net.minecraft.client.audio

## Class PositionedSound

- java.lang.Object
- - net.minecraft.client.audio.PositionedSound

- All Implemented Interfaces:
    ISound
  Direct Known Subclasses:
    MovingSound, PositionedSoundRecord

      public abstract class PositionedSound
      extends java.lang.Object
      implements ISound

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.client.audio.ISound

      `ISound.AttenuationType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `field_147663_c`
    `protected ResourceLocation` | `field_147664_a`
    `protected int` | `field_147665_h`
    `protected ISound.AttenuationType` | `field_147666_i`
    `protected boolean` | `repeat`
    `protected float` | `volume`
    `protected float` | `xPosF`
    `protected float` | `yPosF`
    `protected float` | `zPosF`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PositionedSound(ResourceLocation p_i45103_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRepeat()`
    `ISound.AttenuationType` | `getAttenuationType()`
    `float` | `getPitch()`
    `ResourceLocation` | `getPositionedSoundLocation()`
    `int` | `getRepeatDelay()`
    `float` | `getVolume()`
    `float` | `getXPosF()`
    `float` | `getYPosF()`
    `float` | `getZPosF()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147664_a

          protected final ResourceLocation field_147664_a

    - #### volume

          protected float volume

    - #### field_147663_c

          protected float field_147663_c

    - #### xPosF

          protected float xPosF

    - #### yPosF

          protected float yPosF

    - #### zPosF

          protected float zPosF

    - #### repeat

          protected boolean repeat

    - #### field_147665_h

          protected int field_147665_h

    - #### field_147666_i

          protected ISound.AttenuationType field_147666_i

  - ### Constructor Detail

    - #### PositionedSound

          protected PositionedSound(ResourceLocation p_i45103_1_)

  - ### Method Detail

    - #### getPositionedSoundLocation

          public ResourceLocation getPositionedSoundLocation()

      Specified by:
        `getPositionedSoundLocation` in interface `ISound`

    - #### canRepeat

          public boolean canRepeat()

      Specified by:
        `canRepeat` in interface `ISound`

    - #### getRepeatDelay

          public int getRepeatDelay()

      Specified by:
        `getRepeatDelay` in interface `ISound`

    - #### getVolume

          public float getVolume()

      Specified by:
        `getVolume` in interface `ISound`

    - #### getPitch

          public float getPitch()

      Specified by:
        `getPitch` in interface `ISound`

    - #### getXPosF

          public float getXPosF()

      Specified by:
        `getXPosF` in interface `ISound`

    - #### getYPosF

          public float getYPosF()

      Specified by:
        `getYPosF` in interface `ISound`

    - #### getZPosF

          public float getZPosF()

      Specified by:
        `getZPosF` in interface `ISound`

    - #### getAttenuationType

          public ISound.AttenuationType getAttenuationType()

      Specified by:
        `getAttenuationType` in interface `ISound`